## gate.util.persistence
Class GateObjectOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.ObjectOutputStream
                  |
                  +--gate.util.persistence.GateObjectOutputStream

All Implemented Interfaces:
  DataOutput, ObjectOutput, ObjectStreamConstants

public class GateObjectOutputStream
extends ObjectOutputStream

Title: Gate2 Description: Copyright: Copyright (c) 2000 Company: University Of Sheffield

Inner classes inherited from class java.io.ObjectOutputStream
`ObjectOutputStream.PutField`

Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`GateObjectOutputStream(OutputStream out)`

Method Summary
`void` `writeObjectOverride(Object obj)`

Methods inherited from class java.io.ObjectOutputStream
`close, defaultWriteObject, flush, putFields, reset, useProtocolVersion, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeObject, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GateObjectOutputStream

    public GateObjectOutputStream(OutputStream out)
                           throws IOException

Method Detail

### writeObjectOverride

    public void writeObjectOverride(Object obj)
                             throws IOException